/*
 * This is the interface to low-level routines, types, and definitions shared
 * by disk_management.c and minimal_partitioning.c.
 *
 * Copyright 2004, Broadcom Corporation
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
 * the contents of this file may not be disclosed to third parties, copied
 * or duplicated in any form, in whole or in part, without the prior
 * written permission of Broadcom Corporation.
 */

#ifndef DISK_INTERNAL_H
#define DISK_INTERNAL_H

#define DISK_HEADER_BYTES (512 * 8)
#define BROADCOM_NAS_DISK_HEADER_MAGIC "Broadcom NAS Version 1.1 MBR Tag"
#define DISK_HEADER_FIRST_PARTITION_TABLE_START 512
#define DISK_HEADER_SECOND_PARTITION_TABLE_START (512 * 3)
#define POOL_INFO_BLOCK_BYTES              512
#define POOL_INFO_BLOCK_VALIDITY_SIZE       16
#define BYTES_PER_DISK_BLOCK 512


extern unsigned char pool_info_block_validity_magic[
		POOL_INFO_BLOCK_VALIDITY_SIZE];
extern unsigned char pool_info_block_reserved_magic[
		POOL_INFO_BLOCK_VALIDITY_SIZE];

